Bug 1005241 - ibus does not start automatically for the cinnamon desktop on login
ibus does not start automatically for the cinnamon desktop on login
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-06 09:51 EDT by Mike FABIAN
Modified: 2015-06-29 08:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 08:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-09-06 09:51:34 EDT
I installed Fedora 20 Alpha TC4 in qemu using:

ionice -c 3 qemu-kvm -enable-kvm -m 2048M -smp 4 -drive file=./Fedora-20-Alpha-TC4-x86_64-DVD.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-20-Alpha-TC4-x86_64-DVD.iso.qcow2-output.log -name Fedora-20-Alpha-TC4-x86_64-DVD.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-20-Alpha-TC4/Fedora-20-Alpha-TC4-x86_64-DVD.iso -boot c -spice port=6000,disable-ticketing -vga qxl -display vnc=:4 -net nic -net user,hostname=Fedora-20-Alpha-TC4-x86_64-DVD.iso.qcow2,hostfwd=tcp::5556-:22 -monitor stdio -usb

Did a default installation for Gnome in Japanese first.

Then I logged into gnome and in gnome-initial-setup, I removed
the non-existing Anthy entry and replaced it with the existing "Kanji Kana"

Then installed all the other desktops and logged out again.

Then I logged into each of the desktops and checked whether
Japanese input using ibus works automatically or not.


gnome: yes
gnome-classic: yes
KDE Plasma: yes
MATE: yes
Openbox: yes
Sugar: don’t know, don’t know how to test it don’t even know how to start a terminal
XFCE: yes
LXDE: yes
Cinnamon: no

So it works everywhere, except for Cinnamon (and possibly Sugar,
I don’t understand how to use Sugar).

For Cinnamon, there is on input method switcher in the panel,
typing LeftWindowsKey+Space does not switch input methods, no
ibus processes are running, i.e. “ps aux | grep ibus” shows nothing.
Comment 1 Mike FABIAN 2013-09-25 11:58:08 EDT
The problem still exists in Fedora 20 Alpha (RC4, release)
Comment 2 Fedora End Of Life 2015-05-29 05:22:25 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 08:20:27 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.